=== debian/changelog ===
ros-foxy-tf2-ros (0.13.14-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-tf2-ros (0.13.13-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 31 Jan 2022 00:00:00 -0000

ros-foxy-tf2-ros (0.13.12-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-tf2-ros (0.13.11-1focal) focal; urgency=high

  * Fix tf2_echo does not work with ros-args (#407 <https://github.com/ros2/geometry2/issues/407>) (#408 <https://github.com/ros2/geometry2/issues/408>) (#411 <https://github.com/ros2/geometry2/issues/411>)
  * Avoid using invalid std::list iterators (#293 <https://github.com/ros2/geometry2/issues/293>) (#419 <https://github.com/ros2/geometry2/issues/419>)
  * Fix accessing free'd resources (#386 <https://github.com/ros2/geometry2/issues/386>) (#419 <https://github.com/ros2/geometry2/issues/419>)
  * Contributors: Chris Lalancette, Kazunari Tanaka, Michael Carroll, PGotzmann, simutisernestas

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 31 Aug 2021 00:00:00 -0000

ros-foxy-tf2-ros (0.13.10-1focal) focal; urgency=high

  * Update for python3.8 (#359 <https://github.com/ros2/geometry2/issues/359>)
  * Contributors: Fabrice Larribe

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-foxy-tf2-ros (0.13.9-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-tf2-ros (0.13.8-1focal) focal; urgency=high

  * Generate callbacks after updating message_ (#274 <https://github.com/ros2/geometry2/issues/274>) (#353 <https://github.com/ros2/geometry2/issues/353>)
    * Generate callbacks after updating message_
    * Add test for multithread TransformListener to test_message_filter
    Co-authored-by: ymd-stella <mailto:7959916+ymd-stella@users.noreply.github.com>
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-tf2-ros (0.13.7-1focal) focal; urgency=high

  * [Foxy backport] Fixed memory leak in Buffer::waitForTransform (#281 <https://github.com/ros2/geometry2/issues/281>) (#330 <https://github.com/ros2/geometry2/issues/330>)
  * Contributors: Matthijs den Toom

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 18 Nov 2020 00:00:00 -0000

ros-foxy-tf2-ros (0.13.6-1focal) focal; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>) (#332 <https://github.com/ros2/geometry2/issues/332>)
  * Clear callbacks_to_remove variable after removing (#314 <https://github.com/ros2/geometry2/issues/314>)
  * Add pytest.ini to tf2_ros
  * Contributors: Alejandro Hernández Cordero, Jacob Perron, Matthijs den Toom

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 28 Oct 2020 00:00:00 -0000

ros-foxy-tf2-ros (0.13.5-1focal) focal; urgency=high

  * Make static_transform_broadcaster consistent with its command line description (#294 <https://github.com/ros2/geometry2/issues/294>) (#296 <https://github.com/ros2/geometry2/issues/296>)
  * Fix dependencies in tf2_ros (#269 <https://github.com/ros2/geometry2/issues/269>) (#288 <https://github.com/ros2/geometry2/issues/288>)
  * Moved unique_lock of messages_mutex_ to guarantee pointer (#279 <https://github.com/ros2/geometry2/issues/279>) (#283 <https://github.com/ros2/geometry2/issues/283>)
  * Contributors: Chris Lalancette, Hunter L. Allen, Martin Ganeff

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-foxy-tf2-ros (0.13.4-1focal) focal; urgency=high

  * export targets in addition to include directories / libraries (#271 <https://github.com/ros2/geometry2/issues/271>)
  * Add missing virtual destructors (#272 <https://github.com/ros2/geometry2/issues/272>)
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-tf2-ros (0.13.3-1focal) focal; urgency=high

  * Fixed in Exception constructor tf2_ros (#267 <https://github.com/ros2/geometry2/issues/267>)
  * Contributors: Alejandro Hernández Cordero

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-tf2-ros (0.13.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 May 2020 00:00:00 -0000

ros-foxy-tf2-ros (0.13.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-tf2-ros (0.13.0-1focal) focal; urgency=high

  * Added doxyfiles and sphinx Makefiles (#257 <https://github.com/ros2/geometry2/issues/257>)
  * avoid more deprecations (#255 <https://github.com/ros2/geometry2/issues/255>)
  * create_timer takes shared pointers (#251 <https://github.com/ros2/geometry2/issues/251>)
  * Improve tf2_echo and tf2_monitor messages while waiting for data (#254 <https://github.com/ros2/geometry2/issues/254>)
  * Add missing visibility header include (#246 <https://github.com/ros2/geometry2/issues/246>)
  * Fix -Wrange-loop-construct (#245 <https://github.com/ros2/geometry2/issues/245>)
    ```
    --- stderr: tf2_ros
    /opt/ros/master/src/ros2/geometry2/tf2_ros/test/test_buffer.cpp:84:21: warning: loop variable 'elem' creates a copy from type 'const std::pair<const unsigned long, std::function<void (const unsigned long &)> >' [-Wrange-loop-construct]
    for (const auto elem : timer_to_callback_map\_) {
    ^
    /opt/ros/master/src/ros2/geometry2/tf2_ros/test/test_buffer.cpp:84:10: note: use reference type 'const std::pair<const unsigned long, std::function<void (const unsigned long &)> > &' to prevent copying
    for (const auto elem : timer_to_callback_map\_) {
    ^~~~~~~~~~~~~~~~~
    &
    1 warning generated.
    ---
    ```
  * Remove TODO (#234 <https://github.com/ros2/geometry2/issues/234>)

