=== debian/control ===
Source: ros-foxy-tf2-ros
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-cmake-pytest <!nocheck>, ros-foxy-ament-cmake-python, ros-foxy-builtin-interfaces, ros-foxy-geometry-msgs, ros-foxy-message-filters, ros-foxy-python-cmake-module, ros-foxy-rcl-interfaces, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-rclcpp-components, ros-foxy-rclpy, ros-foxy-std-msgs, ros-foxy-tf2, ros-foxy-tf2-msgs, ros-foxy-tf2-py, ros-foxy-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-foxy-tf2-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-builtin-interfaces, ros-foxy-geometry-msgs, ros-foxy-message-filters, ros-foxy-rcl-interfaces, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-rclcpp-components, ros-foxy-rclpy, ros-foxy-std-msgs, ros-foxy-tf2, ros-foxy-tf2-msgs, ros-foxy-tf2-py, ros-foxy-ros-workspace
Description: This package contains the ROS bindings for the tf2 library, for both Python and C++.
